function x = x_coodeinates_for_node(m,n)
  %
  % function x_coodeinates_for_node returns x-coodinates for 
  % input node number m
  %
  if ( (m<=0) || (n<=0) || (m>(n-1)^2) )
    error('error occur in x_coodeinates_for_node')
  end
  x = (floor((m-1)/(n-1))+1)/n;


